E-Arogya - Feature #210

Feature # 110 (New): [LAB] Laboratory OP Module

[LAB] Create Ul screen for result entry feature
30/04/2024 05:02 PM - Srusvin Loka

Status: Resolved Start date: 30/04/2024
Priority: Normal Due date:

Assignee: Uma Maheswarachari Melpati % Done: 70%
Category: Estimated time: 20:00 hours
Target version: Lab OP (MVP) Spent time: 0:00 hour
Deployed In: Category: ul
Description

Create Ul screen for result entry feature

1. Load the screen when we select a Lab OrderID in Laboratory worklist.

. Patient banner and order banner details to be loaded.
result screen.
. Screen is dynamic. Based on the test-parameter mapping, the Lab parameters will load the screen.

. Result value input object, units will be loaded dynamically based on the type of parameter.

. Normal range will be loaded based on the respective parameter master data configuration.

. Verify and print button to be enabled only after result entered status.

. Pathologists dropdown values to be considered from Specialty - Lab doctor mapping master based on the lab test's specialty.

. select the 'Result Template' mapped to the lab test and upon selecting one template, load the template default result data in the

History

#1 - 30/04/2024 04:32 AM - Srusvin Loka
- File clipboard-202404301702-29f82.png added

- Description updated

#2 - 30/04/2024 04:57 AM - Srusvin Loka

- Description updated

#3 - 30/04/2024 05:38 AM - Sivakanth Kesiraju
- Target version set to Lab OP (MVP)

#4 - 10/06/2024 02:09 AM - Uma Maheswarachari Melpati
- Assignee changed from Srusvin Loka to Uma Maheswarachari Melpati

- Estimated time set to 20:00 h

#5 - 11/06/2024 03:28 AM - Uma Maheswarachari Melpati

- Status changed from New to Resolved

#6 - 14/06/2024 03:42 AM - Uma Maheswarachari Melpati
- % Done changed from 0 to 70
